This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 646860 - gnome-screensaver leaks memory upon every activation
gnome-screensaver leaks memory upon every activation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
12
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-26 09:43 EDT by bond.masuda
Modified: 2015-01-14 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 07:07:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description bond.masuda 2010-10-26 09:43:57 EDT
Description of problem:

Gnome-screensaver seems to leak memory upon every activation. I noticed this when I saw that it's memory footprint was about 2GB!

Version-Release number of selected component (if applicable):

Fedora 12, gnome-screensaver 2.28.3-1.fc12.x86_64

How reproducible:

always

Steps to Reproduce:

1. run gnome-screensaver (note the memory footprint)
2. activate the screensaver
3. check the memory footprint of gnome-screensaver (it has grown)
4. rinse and repeat above, and the memory footprint grows indefinitely
  
E.g.,

PID=22273 in the following is gnome-screensaver. the screensaver is activated between each 'pmap' command. this pattern continues indefinitely (until memory is exhausted).

$ pmap -x 22273 | grep total
total kB          361660       -       -       -
$ pmap -x 22273 | grep total
total kB          379664       -       -       -
$ pmap -x 22273 | grep total
total kB          397668       -       -       -
$ pmap -x 22273 | grep total
total kB          415672       -       -       -
$ pmap -x 22273 | grep total
total kB          433676       -       -       -
Comment 1 Bug Zapper 2010-11-03 05:18:20 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 07:07:13 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.